/* --- BEGIN Bootstrap overrides --- */
label {
  font-weight: 500;
}
/* --- END Bootstrap overrides --- */

body {
  background-color: #e8ebeb;
  font-family: Tahoma, Helvetica, Arial, sans-serif;
  font-size: 16px;
  margin: 0;
  color: #48525a;
}

a:link {
  color: #428dba;
}

p {
  line-height: 1.2em;
}

button {
  overflow: visible;
}

button, input, optgroup, select, textarea {
  color: inherit;
  font: inherit;
  margin: 0;
}

.logo {
  display: block;
  height: 40px;
  margin-top: -10px;
}

.loginscreen_logo {
  vertical-align: middle;
  height: 300px;
  width: 90%;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  text-align: center;
  /* padding-bottom: 4em; */
}

@media (min-width: 767px) {
  .loginscreen_logo {
    height: 485px;
  }
}

.loginscreen_logo > img,
.loginscreen_logo #logo img {
  display: block;
  margin: 0 auto 2em;
}

#activearea #heading {
  font-weight: 200;
  font-size: 1.8em;
  margin: 0 0 .5em;
  color: #006d91;
}

#wdiv {
  color: #006d91;
  font-weight: 500;
  margin: 20px 0;
}

#formtable {
  height: 100%;
  width: 100%;
}

#formtd {
  vertical-align: middle;
}

#formdiv {
  margin-left: auto;
  margin-right: auto;
}

#formdiv #taLogin {
  margin: 0 0 1em;
}

#formdiv #taLogin table {
  margin: 0 auto;
  border-collapse: collapse;
}

.auth_portal #formdiv #taLogin table {
  margin: 0;
}

#formdiv #taLogin td {
  text-align: left;
}

#spChallengeMsg,
#dInputStr,
#formdiv #taLogin td:first-child {
  color: #006d91;
  font-weight: 500;
  padding-bottom: 7px;
}

#formdiv #taLogin td:first-child {
  max-width: 100%;
  vertical-align: top;
  padding-top: 4px;
  text-align: right;
  padding-right: 10px;
}

#formdiv #taLogin input[type='text'],
#formdiv #taLogin input[type='password'] {
  width: 240px;
}

#formdiv #taLogin input[type='text'],
#formdiv #taLogin input[type='password'],
.login_method input[type='text'].form-control {
  background-color: #fff;
  background-image: none;
  border: 1px solid #c2c3c3;
  border-radius: 0;
  height: 32px;
  font-size: 14px;
  padding: 5px 8px;
  line-height: 1.42857143;
  color: rgba(152, 169, 180);
  -webkit-box-shadow: inset 0 0 4px #c2c3c3;
  box-shadow: inset 0 0 4px #c2c3c3;
  margin-bottom: 14px;
}

.login_method .form-inline input[type='text'].form-control {
  margin-bottom: 0;
  width: 200px;
}

#formdiv #login_form #taLogin input[type='password'].form-control {
  width: 100%;
}

.buttonFixed {
  display: inline-block;
  margin-bottom: 0;
  font-weight: normal;
  text-align: center;
  vertical-align: middle;
  touch-action: manipulation;
  cursor: pointer;
  background-image: none;
  border: 2px solid #fff;
  white-space: nowrap;
  padding: 6px 18px;
  font-size: 14px;
  line-height: 1.42857143;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  outline: 0;
  background-color: #6ba2b9;
  color: #000;
  border-radius: .5em;
  position: relative;
  z-index: 10;
  opacity: .8;
}

.buttonFixed:hover {
  opacity: 1;
}

#login_form input[type='text'].form-control,
#login_form input[type='password'].form-control,
#formdiv #login_form #taLogin input[type='text'].form-control,
#formdiv #login_form #taLogin input[type='password'].form-control {
  display: block;
  border: 1px solid #48525a;
  border-radius: .35em;
  height: 36px;
  font-size: 16px;
  padding: 4px 12px 6px;
  line-height: 1.42857143;
  color: #316989;
  -webkit-box-shadow: inset 0 0 4px #c2c3c3;
  box-shadow: inset 0 0 4px #c2c3c3;
}

#login_form ::-webkit-input-placeholder {
}

#login_form :-moz-placeholder { /* Firefox 18- */
}

#login_form ::-moz-placeholder {  /* Firefox 19+ */
}

#login_form :-ms-input-placeholder {
}

#formdiv #taLogin input[type='text']:focus,
#formdiv #taLogin input[type='password']:focus,
#login_form input[type='text']:focus,
#login_form input[type='password']:focus,
#formdiv #login_form #taLogin input[type='text']:focus,
#formdiv #login_form #taLogin input[type='password']:focus,
.login_method input[type='text'].form-control:focus {
  border-color: #999;
  outline: 0;
  -webkit-box-shadow: inset 0 0 4px #c2c3c3;
  box-shadow: inset 0 0 4px #c2c3c3;
}

#login_form input[type='text'].form-control,
#login_form .input-group,
#formdiv #login_form #taLogin input[type='text'].form-control,
#formdiv #login_form #taLogin .input-group {
  margin-top: 5px;
  margin-bottom: 14px;
}

.loginscreen_logo #login_form input[type='text'].form-control,
.loginscreen_logo #login_form .input-group,
.loginscreen_logo #formdiv #login_form #taLogin input[type='text'].form-control,
.loginscreen_logo #formdiv #login_form #taLogin .input-group {
  margin-left: auto;
  margin-right: auto;
}

#login_form input[type='text'].form-control,
#formdiv #login_form #taLogin input[type='text'].form-control {
  width: 292px;
}

#login_form .input-group,
#formdiv #login_form #taLogin .input-group {
  width: 292px;
}

#login_form .input-group input.form-control,
#formdiv #login_form #taLogin .input-group input.form-control,
#code_form .input-group input.form-control,
#pin_form .input-group input.form-control {
  background: #fff;
  border-right: 0;
  border-radius: .35em 0 0 .35em;
  display: table-cell;
  z-index: 2;
  float: left;
  margin-bottom: 0;
}

#login_form .input-group-btn,
#formdiv #login_form #taLogin .input-group-btn,
#code_form .input-group-btn,
#pin_form .input-group-btn {
  font-size: 0;
  white-space: nowrap;
  vertical-align: middle;
  display: table-cell;
}

#login_form .btn,
#formdiv #login_form #taLogin .btn,
#code_form .btn,
#pin_form .btn {
  font-weight: 400;
  display: inline-block;
  margin-bottom: 0;
  font-weight: normal;
  text-align: center;
  vertical-align: middle;
  touch-action: manipulation;
  cursor: pointer;
  background-image: none;
  border: 1px solid transparent;
  white-space: nowrap;
  padding: 6px 12px;
  font-size: 16px;
  line-height: 1.42857143;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  outline: 0;
}

#login_form .input-group-btn > .btn,
#formdiv #login_form #taLogin .input-group-btn > .btn,
#code_form .input-group-btn > .btn,
#pin_form .input-group-btn > .btn {
  position: relative;
  background-color: #f8a045;
  border-color: #48525a;
  border-left-color: #f8a045;
  color: #fff;
  text-transform: uppercase;
  border-radius: 0 .35em .35em 0;
}

#login_form .input-group-btn > .btn:disabled,
#formdiv #login_form #taLogin .input-group-btn > .btn:disabled,
#code_form .input-group-btn > .btn:disabled,
#pin_form .input-group-btn > .btn:disabled,
.buttonFixed[disabled] {
  background-color: #ccc;
  border-color: #ccc;
  color: #999;
  cursor: not-allowed;
}

#login_form .input-group-btn > .btn:disabled,
#formdiv #login_form #taLogin .input-group-btn > .btn:disabled,
#code_form .input-group-btn > .btn:disabled,
#pin_form .input-group-btn > .btn:disabled {
  border-left-color: transparent;
}

#motd {
  /* color: #475259; */
  margin: 2em auto 0;
}

#motd pre {
  /*
  font-family: Tahoma, Helvetica, Arial, sans-serif;
  font-weight: 200;
  font-size: 16px;
  */
  padding: 0;
  border: 0;
  background: transparent;
  margin: 1em 0;
  color: #48525a;
  text-align: left;
  display: inline-block;
  white-space: pre-line;
}

#motd fieldset {
  padding: 0 1em .25em;
  border: 1px solid #b1c0c3;
  border-radius: .35em;
  width: auto;
  display: inline-block;
  /* margin: 20px auto; */
}

@media (min-width: 768px) {
  #motd fieldset {
    min-width: 420px;
  }
}

#motd fieldset legend {
  padding: 0 .5em;
  text-align: left;
  font-size: 16px;
  width: auto;
  color: #006d91;
  margin: 0;
  border: 0;
}

#motd fieldset legend input[type='checkbox'] {
  display: inline-block;
  margin-right: .25em;
  font-size: 16px;
}

#dError,
.msg {
  color: #e10000;
  font-weight: 500;
  margin: 20px 0;
}

#motd .msg .msg {
  max-width: 710px;
  padding: 0 1em;
  border: 1px solid #006d91;
  border-radius: .35em;
  min-width: auto;
  background: #f3f6f6;
  margin: 20px auto;
}

fieldset .msg {
  margin: 0;
}

.maintenance .msg {
  color: #48525a;
  max-width: 710px;
  padding: 1em;
  border: 1px solid #e10000;
  border-radius: .35em;
  min-width: auto;
  background: #ffb;
  margin: 20px auto;
  text-align: left;
}

.maintenance .msg h1 {
  color: #e10000;
  text-align: center;
  margin: 0 0 .2em;
  font-size: 1.6em;
}

.login_option {
  margin: 10px 15px;
}

.login_method {
  display: inline-block;
  vertical-align: top;
  width: 320px;
  /* min-height: 350px; */
  margin: 5px 2em 1em;
  -webkit-box-shadow: 0 1px 5px 0 rgba(0, 0, 0, .05);
  box-shadow: 0 1px 5px 0 rgba(0, 0, 0, .05);
  background-color: #fff;
}

.login_method.hover {
  -webkit-box-shadow: 0 1px 12px 0 rgba(102, 102, 102, .1);
  box-shadow: 0 1px 12px 0 rgba(102, 102, 102, .1);
}

.login_method h1 {
  font-weight: 500;
  font-size: 1.5em;
  line-height: 1.4em;
  letter-spacing: .04em;
  /* text-transform: uppercase; */
  margin: 0;
}

.login_method p {
  font-weight: 200;
  margin: 0;
}

#login_sso {
  padding: 20px 30px;
  text-align: center;
}

/*

#login_sso {
  padding: 190px 30px 20px;
  cursor: pointer;
  background-position: 50% 20px;
  background-repeat: no-repeat;
  opacity: .8;
}

#login_sso:hover {
  opacity: 1;
}
*/

.login_method form {
  margin: 0 1em 1em;
}

/*
#login_local {
  background-image: url(../images/login_local.png);
}

#login_sso {
  background-image: url(../images/login_sso.png);
}
*/